Hallo, Gast! (Registrieren)

Letzte Ankündigung: Sicherheitsupdate: MyBB 1.8.29 veröffentlicht (30.10.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
ACP PHP-Fehler
#1
Hi liebe Community,

ich bekomme im ACP beim Bearbeiten/Speichern der Benutzergruppen und beim Erneuern des Caches für die forumpermissions folgenden PHP-Fehler. Siehe Screen-Shot.
Den Fehler hatte ich erstmals wärend des Updates auf 1.8.29.
Er wird aber nur so kurz angezeigt, dass man ihn kaum wahr nimmt.

   

Hier stimmt irgendwas mit dem Cache-Update nicht. Leider stehe ich da gerade völlig auf dem Schlauch und habe auch keine weiteren Fehler. Die Benutzergruppen werden trotzdem erfolgreich gespeichert.

Hat wer von euch eine Idee??
Vielen Dank schon mal!
Zitieren
#2
Etwaige Detailinformationen sollte eigentlich das Log-File beim Hoster (hier Strato) ausgeben.

1. Lösungsweg
Soweit mir bekannt, wenn seitens des Hoster kein PHP-Logging für Fehler über eine .htaccess realisierbar ist (so bei Strato gegeben), dann in der ./global.php folgenden Code eingeben.
PHP-Code:
<?php
ini_set
("log_errors"1);
ini_set("error_log""/pfad/error.log");
?>

2. Lösungsweg
Ob bei Strato nachstehender Lösungsweg funktioniert entzieht sich meiner Kenntnis:
Datei php.ini mit folgendem Inhalt
Code:
error_reporting = E_ALL | E_STRICT
log_errors = On
display_errors = Off
error_log = /PFAD_ZUM_EIGENEN_WEBSPACE/php-errors.log
Es wird durch E_ALL wirklich jedes kleinste Problem protokolliert.
Die Anweisung ist nach Lokalisierung und Behebung etwaiger Fehler zu entfernen, bzw. zumindest wieder auszukommentieren

Vllt. hilft einer der beiden Lösungswege die Ursache der Fehlermeldung genauer zu lokalisieren.
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.29 | PHP: 7.4.26 | SQL: 5.7.36
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#3
Das Fehler ist merkwürdig, da ich überhaupt keine vergleichen Meldungen finden kann. Ein Bug ist es daher wohl eher nicht.
Hast du irgendwelche MyBB-Dateien bearbeitet? Verwendest du Plugins?

@Gerti: Die Fehlermeldung steht bereits im ersten Beitrag, mehr erfährt man mit deinen "Lösungswegen" auch nicht.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#4
Hi Stefan,

die Fehlermeldung hatte ich zuerst, als beim letzten Durchlauf des Upgrade-Scripts der Cache erneuert werden sollte.
Da diese Meldung nur Sekundensache ist, habe ich´s nicht realisiert.

Plugins habe ich, ja. Allerdings sind seit den letzten Updates auch keine Neuen dazugekommen.
Veränderte Core-Dateien gibt es nur die global.php und die misc.php. Hier weiß ich allerdings genau, was ich gemacht habe. Es kann daran nicht liegen.
Ein paar Änderungen habe ich noch in der .js des Editors - kann damit auch nichts zu tun haben.

Ich steh da gerade voll auf dem Schlauch, zumal dieser Fehler offensichtlich wohl keine anderen Auswirkungen hat. Rolleyes 

@Gerti
In den Logs gibt es keine plausible Erklärung.
Zitieren
#5
Ist ja auch nur ein warning, kein error
Warnings stoppen Scripte nicht
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
still alive - aus gesundheitlichen Gründen aktuell nur sehr sporadisch aktiv
Zitieren
#6
(04.01.2022, 18:09)bv64 schrieb: Warnings stoppen Scripte nicht

Ja Lu, jetzt wo du´s sagst... Wink 
Ich hasse es trotzdem, wenn ich für ein Problem keine Lösungsidee habe. Big Grin 

Viele Grüße
Zitieren
#7
(04.01.2022, 18:09)bv64 schrieb: Ist ja auch nur ein warning, kein error
Warnings stoppen Scripte nicht
Das stimmt, aber es könnten irgendwelche Berechtigungen verschluckt werden, was recht unschön wäre.
(04.01.2022, 18:49)Schnapsnase schrieb: Ich hasse es trotzdem, wenn ich für ein Problem keine Lösungsidee habe. Big Grin 
Man müsste hier schauen, wie die ganzen Variablen in der betroffenen Zeile belegt sind und beim welchen Durchlauf der Schleife der Fehler auftritt (z.B. mit var_dump).
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren
#8
Hallo Stefan,

ich habe gerade bemerkt, dass es nicht nur beim Speichern von Gruppen passiert, sondern auch dann wenn ich in einem Forum die Gruppenberechtigung ändere/speichere.

Falls du iwa mal Zeit hast, dann gib mir mal bitte einen konkreten Diagnosesansatz. Ich komme da aktuell nicht weiter.
Rolleyes
Zitieren
#9
danke Stefan, wieder was gelernt
schönen Gruß
bv64 / Lu

kein Support per PN, Mail, Messenger etc.
still alive - aus gesundheitlichen Gründen aktuell nur sehr sporadisch aktiv
Zitieren
#10
Es wäre gut, wenn du das Problem in einer Testumgebung nachstellen könntest.

Ansonsten kann man vor der Zeile so etwas einfügen:
PHP-Code:
var_dump($this->forum_permissions); 
Da wird aber wahrscheinlich sehr viel angezeigt, weil es ja eine Schleife ist, die die Variable immer weiter befüllt, und nur bei einem einzigen Durchlauf eine Warnung erscheint.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren